[RTL][App/Datastore Permissions]The location icon‘s position in App Permission view is not mirrored.

VERIFIED FIXED in Firefox OS v2.2

Status

P2
normal
VERIFIED FIXED
4 years ago
3 years ago

People

(Reporter: lulu.tian, Assigned: nefzaoui)

Tracking

unspecified
2.2 S6 (20feb)
ARM
Gonk (Firefox OS)
Bug Flags:
in-moztrap +

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [systemsfe], [2.2-nexus-5-l])

Attachments

(5 attachments)

(Reporter)

Description

4 years ago
Created attachment 8553619 [details]
2015-01-22-09-36-13.png

[1.Description]:
[RTL][App/Datastore Permissions]When the App Permission shows up with system language set as Arabic, the location icon’s position in App Permission view is not mirrored.
Found time:09:36
See attachment:2015-01-22-09-36-13.png and logcat_0936.txt

[2.Testing Steps]: 
Prerequisite: Set the system language as Arabic.
1. Launch camera app (or Browser/Rocketbar) for the first time.
2. Wait about 2 sec.
**The App Permission will pop up.

[3.Expected Result]: 
2. The icon and text in App Permission should be right-aligned.

[4.Actual Result]: 
2. The icon of App Permission is left-aligned.

[5.Reproduction build]: 
Flame 2.2 build:
Gaia-Rev        e4f9b5da3751798f9cc5d95f302c30722cc11fca
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4a90da67661e
Build-ID        20150122002808
Version         37.0a2
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20150122.041326
FW-Date         Thu Jan 22 04:13:37 EST 2015
Bootloader      L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

4 years ago
QA Whiteboard: [rtl-impact]
(Reporter)

Comment 1

4 years ago
Created attachment 8553623 [details]
logcat_0936.txt
feature-b2g: --- → 2.2+
Priority: -- → P1
Whiteboard: [systemsfe]
Assignee: nobody → tclancy
Priority: P1 → P2
Target Milestone: --- → 2.2 S6 (20feb)
Re-triage: removing minor bugs from 2.2 scope. We'll still take a fix for this if 2.2 approval is granted before Feb 23.
feature-b2g: 2.2+ → ---
Putting this back since it's no longer a blocker.
Assignee: tclancy → nobody
Created attachment 8565374 [details] [review]
[gaia] anefzaoui:bug-1125064 > mozilla-b2g:master
(Assignee)

Updated

4 years ago
Attachment #8565374 - Flags: review?(timdream)
(Assignee)

Updated

4 years ago
Assignee: nobody → nefzaoui

Comment 5

4 years ago
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15858/
Flags: in-moztrap+
Attachment #8565374 - Flags: review?(timdream) → review+
Whiteboard: [systemsfe] → [systemsfe],MGSEI-RTL-3F
(Reporter)

Comment 6

4 years ago
Created attachment 8599676 [details]
Flame v2.2&v3.0_N5 2.2&3.0_affected.png

Hi Josh,
This issue can be repro on latest build of Flame 2.2/3.0 and Nexus 5 2.2/3.0 with the same steps in comment 0. Could you help with it? Thanks!
See attachment:Flame v2.2&v3.0_N5 2.2&3.0_affected.png
Rate:5/5

Device: Flame 2.2 (affected)
Build ID               20150429002501
Gaia Revision          1b7aa7e60788668ed09abf76022dfa231dbe88d4
Gaia Date              2015-04-28 19:36:06
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/d38ff4717f39
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150429.035717
Firmware Date          Wed Apr 29 03:57:29 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150429010205
Gaia Revision          6e35b0948c42a4398b8a5916015de167121683a1
Gaia Date              2015-04-28 16:06:07
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1ad65cbeb2f4
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150429.043837
Firmware Date          Wed Apr 29 04:38:48 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (affected)
Build ID               20150429002501
Gaia Revision          1b7aa7e60788668ed09abf76022dfa231dbe88d4
Gaia Date              2015-04-28 19:36:06
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/d38ff4717f39
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150429.040217
Firmware Date          Wed Apr 29 04:02:34 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150429010205
Gaia Revision          6e35b0948c42a4398b8a5916015de167121683a1
Gaia Date              2015-04-28 16:06:07
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1ad65cbeb2f4
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150429.044325
Firmware Date          Wed Apr 29 04:43:46 EDT 2015
Bootloader             HHZ12f
Flags: needinfo?(jocheng)
(Reporter)

Updated

4 years ago
status-b2g-master: --- → affected
Whiteboard: [systemsfe],MGSEI-RTL-3F → [systemsfe],MGSEI-RTL-3F, [2.2-nexus-5-l]

Comment 7

4 years ago
Sue,
The patch is not yet landed. Why you verify the issue?
Flags: needinfo?(jocheng) → needinfo?(lulu.tian)
(Reporter)

Comment 8

4 years ago
(In reply to Josh Cheng [:josh] from comment #7)
> Sue,
> The patch is not yet landed. Why you verify the issue?

Hi Josh,
I saw that there is no one to follow up after 2015/03/03. I hope someone can help with this issue.
Flags: needinfo?(lulu.tian)
(Reporter)

Comment 9

4 years ago
Created attachment 8601930 [details]
verify_location icon's position in App Permission view is correct.png

Hi Ahmed,
This issue does not exist on latest build of Flame 2.2/3.0 and Nexus 5 2.2/3.0 by the STRs in comment 0. Could you please help to confirm whether the bug should be marked as fixed or not? Thanks :)
See attachment:verify_location icon's position in App Permission view is correct.png
Flags: needinfo?(nefzaoui)
(Reporter)

Updated

4 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
(Reporter)

Comment 10

3 years ago
Hi William,
According to comment 9 and my verification on latest build of Flame 2.2&3.0 and Nexus 5 2.2&3.0, this issue does not exist, I think this issue had been fixed. Could you please help to confirm whether this bug should be marked as fixed or not? Thanks :)

Device information:
Flame 2.2 Build ID: 20150526162504
Flame 3.0 Build ID: 20150526160204
Nexus5 2.2 Build ID: 20150526162504
Nexus5 3.0 Build ID: 20150526160204
Flags: needinfo?(nefzaoui) → needinfo?(whsu)

Comment 11

3 years ago
Hi, Sue,

The patch(*Note 1) seemed to fix this problem.
Thank you.



Note 1:
 - https://bugzilla.mozilla.org/show_bug.cgi?id=1154209#c18
   ~ https://github.com/mozilla-b2g/gaia/commit/52f1aeff4a069813ec77cdd6710234a2e94ba302
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(whsu)
Resolution: --- → FIXED

Updated

3 years ago
Status: RESOLVED → VERIFIED
(Reporter)

Comment 12

3 years ago
Hi William,
Thanks :)
status-b2g-v2.2: affected → verified
status-b2g-master: affected → verified
QA Whiteboard: [rtl-impact][MGSEI-Triage+] → [rtl-impact][MGSEI-Triage+][MGSEI-RTL-3F]
Whiteboard: [systemsfe],MGSEI-RTL-3F, [2.2-nexus-5-l] → [systemsfe], [2.2-nexus-5-l]
You need to log in before you can comment on or make changes to this bug.